田草博客
日志搜索


 标题   内容 评论


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件

评论列表

tiancao1001
所发表的评论
[1] [2] [3] [4] [5] [6] [7] [8] [9] [10]  ... [35]  
tiancao1001 于 2018-05-03 03:54 PM 发表评论:
谢谢提醒,大家可以到这个网站下载最新版本了。
查看所评论的日志:众智结构专业规范大全(2016版).chm
tiancao1001 于 2018-01-16 08:09 PM 发表评论:
Me.WebBrowser1.Navigate("http://tiancao.net/navigator.htm", "_self", Nothing, "User-Agent: Luke's Web Browser")

用这个,不成功
查看所评论的日志:Vb.Net修改WebBrowser控件UserAgent的方法
tiancao1001 于 2017-10-27 05:32 PM 发表评论:
缓存格式为*.wma,不需要改为*.mp3
查看所评论的日志:酷我音乐盒免费下载歌曲
tiancao1001 于 2017-10-27 04:24 PM 发表评论:
C:\Windows\System32\spool\drivers\x64
查看所评论的日志:Foxit.PDF.Creator.x32x64.破解版
tiancao1001 于 2017-10-27 04:21 PM 发表评论:
[Foxit License]
SN=PCRFZINT
Modules=
Users=10
Licensee=Foxit Software Internal
LicenseDate=2006/08/11
Sign=349AFC742821803EE5614BF1C39713F07B13464062FF6C48AE0F30AF7251DAEB67A85C886F96AAD7
查看所评论的日志:Foxit.PDF.Creator.x32x64.破解版
tiancao1001 于 2017-07-04 06:44 PM 发表评论:
Private Sub insertimage(fname As String, bname As String, pt As Point3d, rot As Double, xx As Double, yy As Double)
    Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.LockDocument()
    Dim doc As Autodesk.AutoCAD.ApplicationServices.Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument
    Using db As Database = doc.Database
        Using tm As Transaction = db.TransactionManager.StartTransaction()
            Try
                Dim imageDictID As ObjectId = RasterImageDef.GetImageDictionary(db)
                If imageDictID.OldId = 0 Then
                    imageDictID = RasterImageDef.CreateImageDictionary(db)
                End If
                Dim rasterImageDef__1 As New RasterImageDef()
                Dim imageDict As DBDictionary = CType(tm.GetObject(imageDictID, OpenMode.ForWrite), DBDictionary)
                Dim rasterImageDefID As ObjectId
                If imageDict.Contains(bname) Then
                    rasterImageDefID = imageDict.GetAt(bname)
                    rasterImageDef__1 = CType(tm.GetObject(rasterImageDefID, OpenMode.ForWrite), RasterImageDef)
                Else
                    rasterImageDefID = imageDict.SetAt(bname, rasterImageDef__1)
                    rasterImageDef__1.SourceFileName = fname
                    rasterImageDef__1.Load()
                    rasterImageDef__1.ImageModified = True
                    rasterImageDef__1.ResolutionUnits = Unit.Millimeter
                    tm.AddNewlyCreatedDBObject(rasterImageDef__1, True)
                End If
                Dim rasterImage As New RasterImage()
                rasterImage.ImageDefId = rasterImageDef__1.ObjectId
                rasterImage.Orientation = New CoordinateSystem3d(pt, New Vector3d(xx, 0, 0), New Vector3d(0, yy, 0))
                rasterImage.Rotation = (rot * pi) / 180
                Dim bt As BlockTable = CType(tm.GetObject(doc.Database.BlockTableId, OpenMode.ForRead, False), BlockTable)
                Dim btr As BlockTableRecord = CType(tm.GetObject(bt(BlockTableRecord.ModelSpace), OpenMode.ForWrite, False), BlockTableRecord)
                btr.AppendEntity(rasterImage)
                tm.AddNewlyCreatedDBObject(rasterImage, True)
                tm.Commit()
                tm.Dispose()
            Catch e As System.Exception
                System.Windows.Forms.MessageBox.Show(e.ToString())
            End Try
        End Using
    End Using
End Sub

查看所评论的日志:请教 ,能通过.net 将剪切板中的BMP图像直接以OLE方式插入CAD吗
tiancao1001 于 2017-07-04 06:34 PM 发表评论:
ThisDrawing.ModelSpace.AddRaster(ImageFileName, InsertPoint, ScaleFactor, RotAngle)
查看所评论的日志:请教 ,能通过.net 将剪切板中的BMP图像直接以OLE方式插入CAD吗
tiancao1001 于 2017-05-08 06:06 PM 发表评论:
Imports System.Security.Cryptography
Public Class Form1
    Dim pubkey As String = "<RSAKeyValue><Modulus>xe3teTUwLgmbiwFJwWEQnshhKxgcasglGsfNVFTk0hdqKc9i7wb+gG7HOdPZLh65QyBcFfzdlrawwVkiPEL5kNTX1q3JW5J49mTVZqWd3w49reaLd8StHRYJdyGAL4ZovBhSTThETi+zYvgQ5SvCGkM6/xXOz+lkMaEgeFcjQQs=</Modulus><Exponent>AQAB</Exponent></RSAKeyValue>"
    Dim prikey As String = "<RSAKeyValue><Modulus>xe3teTUwLgmbiwFJwWEQnshhKxgcasglGsfNVFTk0hdqKc9i7wb+gG7HOdPZLh65QyBcFfzdlrawwVkiPEL5kNTX1q3JW5J49mTVZqWd3w49reaLd8StHRYJdyGAL4ZovBhSTThETi+zYvgQ5SvCGkM6/xXOz+lkMaEgeFcjQQs=</Modulus><Exponent>AQAB</Exponent><P>5flMAd7IrUTx92yomBdJBPDzp1Kclpaw4uXB1Ht+YXqwLW/9icI6mcv7d2O0kuVLSWj8DPZJol9V8AtvHkC3oQ==</P><Q>3FRA9UWcFrVPvGR5bewcL7YqkCMZlybV/t6nCH+gyMfbEvgk+p04F+j8WiHDykWj+BahjScjwyF5SGADbrfJKw==</Q><DP>b4WOU1XbERNfF3JM67xW/5ttPNX185zN2Ko8bbMZXWImr1IgrD5RNqXRo1rphVbGRKoxmIOSv7flr8uLrisKIQ==</DP><DQ>otSZlSq2qomgvgg7PaOLSS+F0TQ/i1emO0/tffhkqT4ah7BgE97xP6puJWZivjAteAGxrxHH+kPY0EY1AzRMNQ==</DQ><InverseQ>Sxyz0fEf5m7GrzAngLDRP/i+QDikJFfM6qPyr3Ub6Y5RRsFbeOWY1tX3jmV31zv4cgJ6donH7W2dSBPi67sSsw==</InverseQ><D>nVqofsIgSZltxTcC8fA/DFz1kxMaFHKFvSK3RKIxQC1JQ3ASkUEYN/baAElB0f6u/oTNcNWVPOqE31IDe7ErQelVc4D26RgFd5V7dSsF3nVz00s4mq1qUBnCBLPIrdb0rcQZ8FUQTsd96qW8Foave4tm8vspbM65iVUBBVdSYYE=</D></RSAKeyValue>"
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Using rsa As New RSACryptoServiceProvider()
            rsa.FromXmlString(prikey)
            ' 加密对象 
            Dim f As New RSAPKCS1SignatureFormatter(rsa)
            f.SetHashAlgorithm("SHA1")
            Dim source As Byte() = System.Text.ASCIIEncoding.ASCII.GetBytes(TextBox1.Text)
            Dim sha As New SHA1Managed()
            Dim result As Byte() = sha.ComputeHash(source)
            Dim s As String = Convert.ToBase64String(result)
            MsgBox(s)
            Dim b As Byte() = f.CreateSignature(result)
            TextBox2.Text = ""
            TextBox2.Text = Convert.ToBase64String(b)
        End Using
        TextBox3.Text = pubkey
        TextBox4.Text = prikey
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Using rsa As New RSACryptoServiceProvider()
            rsa.FromXmlString(pubkey)
            Dim f As New RSAPKCS1SignatureDeformatter(rsa)
            f.SetHashAlgorithm("SHA1")
            Dim key As Byte() = Convert.FromBase64String(TextBox2.Text)
            Dim sha As New SHA1Managed()
            Dim name As Byte() = sha.ComputeHash(System.Text.ASCIIEncoding.ASCII.GetBytes(TextBox1.Text))
            Dim s As String = Convert.ToBase64String(name)
            MsgBox(s)
            If f.VerifySignature(name, key) Then
                MessageBox.Show("Succese!")
            Else
                MessageBox.Show("Falied!")
            End If
        End Using
    End Sub
End Class
查看所评论的日志:vb.net中使用RSA编写注册码验证
[1] [2] [3] [4] [5] [6] [7] [8] [9] [10]  ... [35]  
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©